import { BaseAppender, LogEvent } from "@tsed/logger";
import { AxiosBasicCredentials } from "axios";
import { IAxiosRetryConfig } from "axios-retry";
export declare class LogStashHttpOptions {
    url: string;
    bufferMax: number;
    application: Function | string;
    requireAlias?: boolean;
    logType: string;
    logChannel: string;
    auth?: AxiosBasicCredentials;
    timeout?: number;
    delayToFlush?: number;
    params?: Record<string, any>;
    headers?: Record<string, any>;
    retryOptions?: IAxiosRetryConfig;
    debug?: boolean;
    httpsAgent?: any;
}
export declare class LogStashHttpAppender extends BaseAppender<LogStashHttpOptions> {
    #private;
    private client;
    build(): void;
    write(loggingEvent: LogEvent): void;
    send(bulk: Record<string, any>): Promise<this | undefined> | undefined;
    flush(): Promise<this | undefined>;
    serializeBulk(array: Array<Record<string, any> | string>): string;
    shutdown(): Promise<this | undefined>;
}
